# Interface IExternalAdvancedSearchSection

## Index

### Properties

- content
- inputs
- name
- updateQuery

## Properties

### content

content: HTMLElement

- Defined in ui/AdvancedSearch/AdvancedSearchInput.ts :60

### inputs

inputs: (IAdvancedSearchInput | IAdvancedSearchPrebuiltInput)[]

Inherited from IAdvancedSearchSection.inputs

- Defined in ui/AdvancedSearch/AdvancedSearchInput.ts :42

### name

name: string

Inherited from IAdvancedSearchSection.name

- Defined in ui/AdvancedSearch/AdvancedSearchInput.ts :36

### updateQuery

updateQuery: function

- Defined in ui/AdvancedSearch/AdvancedSearchInput.ts :56

#### Type declaration

- - (inputs: BaseFormTypes[], queryBuilder: QueryBuilder): void

  - #### Parameters

    - ##### inputs: BaseFormTypes[]

    - ##### queryBuilder: QueryBuilder

    #### Returns void

### Hierarchy

- IAdvancedSearchSection